<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HexDump (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HexDump (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HexDump.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/FontMetricsDumper.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/HexRead.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/HexDump.html" target="_top">Frames</a></li>
        <li><a href="HexDump.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.util</div>
    <h2 title="Class HexDump" class="title">Class HexDump</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.util.HexDump</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../org/apache/poi/util/Internal.html" title="annotation in org.apache.poi.util">@Internal</a>
public class <span class="typeNameLabel">HexDump</span>
extends java.lang.Object</pre>
                <div class="block">dump data in hexadecimal format</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#EOL">EOL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static java.nio.charset.Charset</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#UTF8">UTF8</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#byteToHex-int-">byteToHex</a></span>(int&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#dump-byte:A-long-int-">dump</a></span>(byte[]&nbsp;data,
                                    long&nbsp;offset,
                                    int&nbsp;index)</code>
                                    <div class="block">dump an array of bytes to a String</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#dump-byte:A-long-int-int-">dump</a></span>(byte[]&nbsp;data,
                                    long&nbsp;offset,
                                    int&nbsp;index,
                                    int&nbsp;length)</code>
                                    <div class="block">dump an array of bytes to a String</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#dump-byte:A-long-java.io.OutputStream-int-">dump</a></span>(byte[]&nbsp;data,
                                    long&nbsp;offset,
                                    java.io.OutputStream&nbsp;stream,
                                    int&nbsp;index)</code>
                                    <div class="block">dump an array of bytes to an OutputStream</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#dump-byte:A-long-java.io.OutputStream-int-int-">dump</a></span>(byte[]&nbsp;data,
                                    long&nbsp;offset,
                                    java.io.OutputStream&nbsp;stream,
                                    int&nbsp;index,
                                    int&nbsp;length)</code>
                                    <div class="block">dump an array of bytes to an OutputStream</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#dump-java.io.InputStream-java.io.PrintStream-int-int-">dump</a></span>(java.io.InputStream&nbsp;in,
                                    java.io.PrintStream&nbsp;out,
                                    int&nbsp;start,
                                    int&nbsp;bytesToDump)</code>
                                    <div class="block">Dumps <code>bytesToDump</code> bytes to an output stream.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#intToHex-int-">intToHex</a></span>(int&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#longToHex-long-">longToHex</a></span>(long&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#shortToHex-int-">shortToHex</a></span>(int&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static char</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toAscii-int-">toAscii</a></span>(int&nbsp;dataB)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-byte-">toHex</a></span>(byte&nbsp;value)</code>
                                    <div class="block">Converts the parameter to a hex value.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-byte:A-">toHex</a></span>(byte[]&nbsp;value)</code>
                                    <div class="block">Converts the parameter to a hex value.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-byte:A-int-">toHex</a></span>(byte[]&nbsp;value,
                                    int&nbsp;bytesPerLine)</code>
                                    <div class="block">Converts the parameter to a hex value breaking the results into
                                        lines.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-int-">toHex</a></span>(int&nbsp;value)</code>
                                    <div class="block">Converts the parameter to a hex value.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-long-">toHex</a></span>(long&nbsp;value)</code>
                                    <div class="block">Converts the parameter to a hex value.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-short-">toHex</a></span>(short&nbsp;value)</code>
                                    <div class="block">Converts the parameter to a hex value.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-short:A-">toHex</a></span>(short[]&nbsp;value)</code>
                                    <div class="block">Converts the parameter to a hex value.</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../org/apache/poi/util/HexDump.html#toHex-java.lang.String-">toHex</a></span>(java.lang.String&nbsp;value)</code>
                                    <div class="block">Converts the string to a string of hex values.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="EOL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EOL</h4>
                                <pre>public static final&nbsp;java.lang.String EOL</pre>
                            </li>
                        </ul>
                        <a name="UTF8">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UTF8</h4>
                                <pre>public static final&nbsp;java.nio.charset.Charset UTF8</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="dump-byte:A-long-java.io.OutputStream-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dump</h4>
                                <pre>public static&nbsp;void&nbsp;dump(byte[]&nbsp;data,
                        long&nbsp;offset,
                        java.io.OutputStream&nbsp;stream,
                        int&nbsp;index,
                        int&nbsp;length)
                 throws java.io.IOException,
                        java.lang.ArrayIndexOutOfBoundsException,
                        java.lang.IllegalArgumentException</pre>
                                <div class="block">dump an array of bytes to an OutputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array to be dumped</dd>
                                    <dd><code>offset</code> - its offset, whatever that might mean</dd>
                                    <dd><code>stream</code> - the OutputStream to which the data is to be
                                        written
                                    </dd>
                                    <dd><code>index</code> - initial index into the byte array</dd>
                                    <dd><code>length</code> - number of characters to output</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - is thrown if anything goes wrong writing
                                        the data to stream
                                    </dd>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the index is
                                        outside the data array's bounds
                                    </dd>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the output stream is
                                        null
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dump-byte:A-long-java.io.OutputStream-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dump</h4>
                                <pre>public static&nbsp;void&nbsp;dump(byte[]&nbsp;data,
                        long&nbsp;offset,
                        java.io.OutputStream&nbsp;stream,
                        int&nbsp;index)
                 throws java.io.IOException,
                        java.lang.ArrayIndexOutOfBoundsException,
                        java.lang.IllegalArgumentException</pre>
                                <div class="block">dump an array of bytes to an OutputStream</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array to be dumped</dd>
                                    <dd><code>offset</code> - its offset, whatever that might mean</dd>
                                    <dd><code>stream</code> - the OutputStream to which the data is to be
                                        written
                                    </dd>
                                    <dd><code>index</code> - initial index into the byte array</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - is thrown if anything goes wrong writing
                                        the data to stream
                                    </dd>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the index is
                                        outside the data array's bounds
                                    </dd>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the output stream is
                                        null
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dump-byte:A-long-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dump</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;dump(byte[]&nbsp;data,
                                    long&nbsp;offset,
                                    int&nbsp;index)</pre>
                                <div class="block">dump an array of bytes to a String</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array to be dumped</dd>
                                    <dd><code>offset</code> - its offset, whatever that might mean</dd>
                                    <dd><code>index</code> - initial index into the byte array</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>output string</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the index is
                                        outside the data array's bounds
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dump-byte:A-long-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dump</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;dump(byte[]&nbsp;data,
                                    long&nbsp;offset,
                                    int&nbsp;index,
                                    int&nbsp;length)</pre>
                                <div class="block">dump an array of bytes to a String</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - the byte array to be dumped</dd>
                                    <dd><code>offset</code> - its offset, whatever that might mean</dd>
                                    <dd><code>index</code> - initial index into the byte array</dd>
                                    <dd><code>length</code> - number of characters to output</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>output string</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.ArrayIndexOutOfBoundsException</code> - if the index is
                                        outside the data array's bounds
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toAscii-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toAscii</h4>
                                <pre>public static&nbsp;char&nbsp;toAscii(int&nbsp;dataB)</pre>
                            </li>
                        </ul>
                        <a name="toHex-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(byte[]&nbsp;value)</pre>
                                <div class="block">Converts the parameter to a hex value.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A String representing the array of bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHex-short:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(short[]&nbsp;value)</pre>
                                <div class="block">Converts the parameter to a hex value.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A String representing the array of shorts</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHex-byte:A-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(byte[]&nbsp;value,
                                     int&nbsp;bytesPerLine)</pre>
                                <div class="block"><p>Converts the parameter to a hex value breaking the results into
                                    lines.</p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dd><code>bytesPerLine</code> - The maximum number of bytes per line. The next byte
                                        will be written to a new line
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>A String representing the array of bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHex-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(short&nbsp;value)</pre>
                                <div class="block">Converts the parameter to a hex value.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The result right padded with 0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHex-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(byte&nbsp;value)</pre>
                                <div class="block">Converts the parameter to a hex value.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The result right padded with 0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(int&nbsp;value)</pre>
                                <div class="block">Converts the parameter to a hex value.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The result right padded with 0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHex-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(long&nbsp;value)</pre>
                                <div class="block">Converts the parameter to a hex value.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The result right padded with 0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toHex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toHex(java.lang.String&nbsp;value)</pre>
                                <div class="block">Converts the string to a string of hex values.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - The value to convert</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The resulted hex string</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="dump-java.io.InputStream-java.io.PrintStream-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>dump</h4>
                                <pre>public static&nbsp;void&nbsp;dump(java.io.InputStream&nbsp;in,
                        java.io.PrintStream&nbsp;out,
                        int&nbsp;start,
                        int&nbsp;bytesToDump)
                 throws java.io.IOException</pre>
                                <div class="block">Dumps <code>bytesToDump</code> bytes to an output stream.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>in</code> - The stream to read from</dd>
                                    <dd><code>out</code> - The output stream</dd>
                                    <dd><code>start</code> - The index to use as the starting position for the left hand
                                        side label
                                    </dd>
                                    <dd><code>bytesToDump</code> - The number of bytes to output. Use -1 to read until
                                        the end of file.
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="longToHex-long-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>longToHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;longToHex(long&nbsp;value)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>string of 16 (zero padded) uppercase hex chars and prefixed with '0x'</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="intToHex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>intToHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;intToHex(int&nbsp;value)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>string of 8 (zero padded) uppercase hex chars and prefixed with '0x'</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shortToHex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shortToHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;shortToHex(int&nbsp;value)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>string of 4 (zero padded) uppercase hex chars and prefixed with '0x'</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="byteToHex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>byteToHex</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;byteToHex(int&nbsp;value)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>string of 2 (zero padded) uppercase hex chars and prefixed with '0x'</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="main-java.lang.String:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>main</h4>
                                <pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)
                 throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HexDump.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../index-all.html">Index</a></li>
        <li><a href="../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../org/apache/poi/util/FontMetricsDumper.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../org/apache/poi/util/HexRead.html" title="class in org.apache.poi.util"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../index.html?org/apache/poi/util/HexDump.html" target="_top">Frames</a></li>
        <li><a href="HexDump.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
